<?php
/**
 * Copyright 1999 - 2002 by Gero Kohnert
 *
 * @modulegroup team
 * @module team_show
 * @package team
 */
 include_once 'webelements.p3';
 include_once 'permission.p3';
 include_once 'appointment.pinc';
 include_once 'product.pinc';
 include_once 'address_tools.p3';

 /* Check if user is allowed to use it */
 check_user();
 loadmodules("team","show");
 loadlayout();

 /**
  * display an overview of installations
  */
 class team_show extends layout {
   /**
    * the data display part
    */
   Function info() {
     global $lang;


     echo $this->DataTableStart();
     echo "<tr>\n";
     echo " <th colspan=\"2\">". $lang['Team'] ." ".  $this->obj->name ."</th>\n";
     echo "</tr>\n";
     echo "<tr>\n";
     echo " <td>". $lang['TeamCreation'] ."</td>\n";
     echo " <td>". $this->obj->creation->getLinkDate() ."</td>\n";
     echo "</tr>\n";

     echo "<tr>\n";
     echo $this->showfield($lang['TeamManager']);
     echo $this->showdata($this->obj->owner->getMailLink(),1);
     echo "</tr>\n";

     echo "<tr>\n";
     echo $this->showfield($lang['AdrEmail']);
     echo $this->showdata(AsEmail($this->obj->email,$this->obj->email,$this->obj->getFullName()),1);
     echo "</tr>\n";

     echo "<tr>\n";
     echo " <th colspan=\"2\">". $lang['TeamMember'] ."</th>\n";
     echo "</tr>\n";

     echo "<tr>\n";
     echo "<td colspan=\"2\">\n";
     $ra = $this->dbconn->Exec($this->q);
     address_overview($this,$ra,$this->ashow,$this->atool);
	 $ra->free();
     echo "</td>\n";
     echo "</tr>\n";

     product::infolist($this->user,$this->obj,2,$this->format);
     show_module_infolists($this->user,$this->obj,2,$this->format);

     echo $this->obj->getHistoryLink(2);
     echo $this->DataTableEnd();
   }
   /**
    *
    */
   Function navigate() {
     global $lang;

     echo "<tr><td>\n";
     if ( ($this->obj->id > 0) && $this->obj->see_ok() ) {
       echo $this->obj->getMailLink() ."<br>\n";
       if ( $this->user->feature_ok(usecalendar,PERM_SEE) ) {
         echo $this->obj->getCalLink(sprintf($lang['TeamApps'],$this->obj->name)) ."<br>\n";
       }
       if ( $this->user->feature_ok(usetaskmanagement,PERM_SEE) ) {
         echo menulink ("task_overview.php?id=". $this->obj->id ,$lang['TaskOverview'],sprintf($lang['TaskOverviewInfo'],$this->obj->getFullName())) ."<br>\n";
       }
       if ( $this->user->feature_ok(usetaskmanagement,PERM_SEE) &&  $this->user->feature_ok(usecalendar,PERM_SEE) ) {
         echo menulink("res_cal.php?id=".$this->obj->id,$lang['ResCal'],$lang['ResCal']) ."<br>\n";
       }
       if ( $this->user->feature_ok(usetimetrack,PERM_SEE) ) {
         echo menulink("timetrack_overview.php?worker=". $this->obj->id,$lang['TimetrackBooked'],sprintf($lang['TimetrackBookedI'],$this->obj->getFullName())) ."<br>\n";
       }
     }
     echo "</td></tr>\n";
   }
   /**
    *
    */
   Function prepare() {
     global $lang,$msg;

     $this->name = $lang['TeamDetail'];

     $this->obj = new team($this->dbconn);
     if ( isset ($_GET['id']) ) {
       $this->obj->read($_GET['id']);
     }
     if ( ! $this->obj->see_ok() ) {
       $msg .= sprintf($lang['Err0022'],$lang[$this->obj->getType()]);
       $this->stop = true;
     } else {
       if ( $this->obj->id < 0 ) {
         $msg .= sprintf($lang['Err0040'],$lang[$this->obj->getType()]);
         $this->stop = true;
       } else {
         $this->obj->read_member();
       }
     }

     # Handling of teammember list
     adr_tool_init($this->atool,$this->ashow);

     $this->ashow['f_name'] = 1;
     $this->ashow['l_name'] = 1;
     $this->ashow['email'] = 1;
     $this->atool['maxshow'] = 0;
     $this->atool['start'] = 0;
     $this->atool['link1'] = "team_show.php";
     $this->atool['link2'] = "team_show.php";

     $this->atool['link1'] = addUrlParameter($this->atool['link1'],"id=". $this->obj->id);
     $this->atool['link2'] = addUrlParameter($this->atool['link2'],"id=". $this->obj->id);

     $this->q = "SELECT * from ". $this->dbconn->prefix ."addresses a , ". $this->dbconn->prefix ."adrteam t where a.id = t.adr_id and t.team_id = ". $this->obj->id;

     # sorting
     $xxx = "";
     order_parse($this->q,$atool['link1'],$xxx,$xxx,"l_name");
     # menu

     # always at the end of query
     check_dbacl( $this->q, $this->user->id);

     if ( $this->user->isAdmin() ) {
       $x = array( url => "team_new.php",
                   text => $lang['NewEntry'],
                   info => $lang['TeamCreateI'],
                   category => array("team","new","obj")
                 );
       $this->addMenu($x);
     }
     if ( ($this->obj->id > 0) && $this->obj->mod_ok() ) {
       $x = array( url => "team_new.php?id=".$this->obj->id,
                   text => $lang['Modify'],
                   info => sprintf($lang['TeamModifyI'],$this->obj->name),
                   category => array("team","new","obj")
                 );
       $this->addMenu($x);
     }

     add_module_addlinks($this,$this->obj);

     # add this page to the browsehistory of the users session
	 $this->addtohistory();
   }
 }

 $l = new team_show($current_user);
 $l->display();
 $dbconn->Close();
?>
<!--
    CVS Info:  $Id: team_show.php,v 1.39 2002/12/31 14:33:40 gokohnert Exp $
    $Author: gokohnert $
-->
